classification
Title: Specialize STORE_ATTR using PEP 659 machinery.
Type: Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Mark.Shannon, terry.reedy
Priority: normal Keywords: patch

Created on 2021-08-04 10:34 by Mark.Shannon, last changed 2021-08-27 10:03 by Mark.Shannon. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 27590 merged Mark.Shannon, 2021-08-04 10:38
PR 27708 merged Mark.Shannon, 2021-08-10 09:51
Messages (3)
msg398887 - (view) Author: Mark Shannon (Mark.Shannon) * (Python committer) Date: 2021-08-04 10:34
Add specializations of STORE_ATTR following the pattern of LOAD_ATTR and LOAD_GLOBAL.

For this to work well we need https://bugs.python.org/issue44821, otherwise the first assigned to an attribute of any object cannot be specialized.
msg399147 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-08-06 21:02
#44821 is fixed
msg399252 - (view) Author: Mark Shannon (Mark.Shannon) * (Python committer) Date: 2021-08-09 09:40
New changeset ac75f6bdd4748b3378dd321f862d13aa1898f77a by Mark Shannon in branch 'main':
bpo-44826: Specialize STORE_ATTR (GH-27590)
https://github.com/python/cpython/commit/ac75f6bdd4748b3378dd321f862d13aa1898f77a
History
Date User Action Args
2021-08-27 10:03:25Mark.Shannonsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-08-10 09:51:22Mark.Shannonsetpull_requests: + pull_request26193
2021-08-09 09:40:29Mark.Shannonsetmessages: + msg399252
2021-08-06 21:02:31terry.reedysetnosy: + terry.reedy
messages: + msg399147
2021-08-04 10:38:25Mark.Shannonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request26092
2021-08-04 10:34:42Mark.Shannoncreate